## ros-melodic-clear-costmap-recovery 1.16.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(clear_costmap_recovery)

find_package(catkin REQUIRED
        COMPONENTS
            cmake_modules
            costmap_2d
            nav_core
            pluginlib
            roscpp
            tf2_ros
        )

find_package(Eigen3 REQUIRED)
remove_definitions(-DDISABLE_LIBUSB-1.0)
include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
)
add_definitions(${EIGEN3_DEFINITIONS})

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES clear_costmap_recovery
    CATKIN_DEPENDS
        costmap_2d
        nav_core
        pluginlib
        roscpp
        tf2_ros
)

add_library(clear_costmap_recovery src/clear_costmap_recovery.cpp)
add_dependencies(clear_costmap_recovery ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(clear_costmap_recovery ${catkin_LIBRARIES})


## Configure Tests
if(CATKIN_ENABLE_TESTING)
  # Find package test dependencies
  find_package(rostest REQUIRED)

  # Add the test folder to the include directories
  include_directories(test)

  # Create targets for test executables
  add_rostest_gtest(clear_tester test/clear_tests.launch test/clear_tester.cpp)
  target_link_libraries(clear_tester clear_costmap_recovery ${GTEST_LIBRARIES})
endif()


install(TARGETS clear_costmap_recovery
       ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
       )

install(FILES ccr_plugin.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-melodic-clear-costmap-recovery (1.16.7-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-melodic-clear-costmap-recovery (1.16.6-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 04:00:00 -0000

ros-melodic-clear-costmap-recovery (1.16.5-1stretch) stretch; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 04:00:00 -0000

ros-melodic-clear-costmap-recovery (1.16.4-1stretch) stretch; urgency=high

  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-melodic-clear-costmap-recovery (1.16.3-1stretch) stretch; urgency=high

  * Merge pull request #877 <https://github.com/ros-planning/navigation/issues/877> from SteveMacenski/layer_clear_area-melodic
    [melodic] moving clearing area method to costmap_layer so other applications can clear other types.
  * Merge branch 'melodic-devel' into layer_clear_area-melodic
  * Add force_updating and affected_maps parameters to tailor clear costmaps recovey (#838 <https://github.com/ros-planning/navigation/issues/838>)
    behavior
  * clear area in layer for melodic
  * Contributors: Jorge Santos Simón, Michael Ferguson, Steven Macenski, stevemacenski

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-melodic-clear-costmap-recovery (1.16.2-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 04:00:00 -0000

ros-melodic-clear-costmap-recovery (1.16.1-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 04:00:00 -0000

ros-melodic-clear-costmap-recovery (1.16.0-1stretch) stretch; urgency=high

  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * Contributors: Michael Ferguson, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 04:00:00 -0000

ros-melodic-clear-costmap-recovery (1.15.2-1stretch) stretch; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Rebase PRs from Indigo/Kinetic (#637 <https://github.com/ros-planning/navigation/issues/637>)
    * Respect planner_frequency intended behavior (#622 <https://github.com/ros-planning/navigation/issues/622>)
    * Only do a getRobotPose when no start pose is given (#628 <https://github.com/ros-planning/navigation/issues/628>)
    Omit the unnecessary call to getRobotPose when the start pose was
    already given, so that move_base can also generate a path in
    situations where getRobotPose would fail.
    This is actually to work around an issue of getRobotPose randomly
    failing.
    * Update gradient_path.cpp (#576 <https://github.com/ros-planning/navigation/issues/576>)
    * Update gradient_path.cpp
    * Update navfn.cpp
    * update to use non deprecated pluginlib macro (#630 <https://github.com/ros-planning/navigation/issues/630>)
    * update to use non deprecated pluginlib macro
    * multiline version as well
    * Print SDL error on IMG_Load failure in server_map (#631 <https://github.com/ros-planning/navigation/issues/631>)
  * Contributors: Aaron Hoy, David V. Lu!!, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 04:00:00 -0000

ros-melodic-clear-costmap-recovery (1.15.1-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-melodic-clear-costmap-recovery (1.15.0-1stretch) stretch; urgency=high

  * convert packages to format2
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * import only PCL common
  * remove GCC warnings
  * Contributors: Martin Günther, Mikael Arguedas, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-melodic-clear-costmap-recovery (1.14.0-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 04:00:00 -0000

ros-melodic-clear-costmap-recovery (1.13.1-1stretch) stretch; urgency=high

  * proper locking during costmap update
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-melodic-clear-costmap-recovery (1.13.0-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 04:00:00 -0000

ros-melodic-clear-costmap-recovery (1.12.0-1stretch) stretch; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-melodic-clear-costmap-recovery (1.11.15-1stretch) stretch; urgency=high

  * Add ARCHIVE_DESTINATION for static builds
  * Contributors: Gary Servin

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-melodic-clear-costmap-recovery (1.11.14-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-melodic-clear-costmap-recovery (1.11.13-1stretch) stretch; urgency=high

  * Fix the build (layers library is exported by costmap_2d)
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-melodic-clear-costmap-recovery (1.11.12-1stretch) stretch; urgency=high

  * Clarify debug messages
  * Initial Clearing Costmap parameter change
  * Contributors: David Lu!!, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000



=== debian/control ===
Source: ros-melodic-clear-costmap-recovery
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-costmap-2d, ros-melodic-nav-core, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-tf2-ros
Homepage: http://wiki.ros.org/clear_costmap_recovery
Standards-Version: 3.9.2

Package: ros-melodic-clear-costmap-recovery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-melodic-costmap-2d, ros-melodic-nav-core, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2-ros
Description: This package provides a recovery behavior for the navigation stack that attempts to clear space by reverting the costmaps used by the navigation stack to the static map outside of a given area.
